HubstaffDeveloper Portal

Team payments

View payment records for team members

List organization team payments

GET/v2/organizations/{organization_id}/team_payments

Returns a collection of team payments (payroll disbursements) for the given organization.

Results can be filtered by created[start]/[stop], user_ids[], and project_ids[].

Note: If date filters are not provided, defaults to the last 3 years. Earliest date is 3 years ago.

Parameters

NameInTypeDescription
organization_idrequired
pathinteger (int32)
page_start_id
queryinteger (int32)
The page start ID.
page_limit
queryinteger (int32)
The default page size
created[start]
querystring (date-time)
Start time (ISO 8601)
created[stop]
querystring (date-time)
Stop time (ISO 8601, Exclusive)
user_ids
queryarray integer[]
List of user IDs
project_ids
queryarray integer[]
List of project IDs
include
queryarray string[]
Specify related data to side load.
Possible valuesusersprojects

Responses

200A list of team payments
object
  • team_paymentsarray
    array<object>
    items
    object

    TeamPayment model

    • idinteger required

      Payment ID

    • created_atstring required

      When the record was created

    • updated_atstring required

      When the record was last updated

    • organization_idstring required

      Organization ID

    • start_datestring required

      Start date period for team payment

    • stop_datestring required

      End date period for team payment

    • blame_user_idinteger

      User ID who made the payment

    • notestring

      A note for this team payment

    • trackedinteger required

      Total time worked in seconds

    • amountstring required

      Payment amount

    • currencystring required

      Payment currency

    • payment_sourcestring required

      Payment source type

    • paid_via_payrollboolean required

      Paid via the payroll gateway

    • unpaid_amountstring

      The amount left to be paid

    • payment_gatewaystring

      The payroll gateway used to pay

    • payment_completeboolean

      Payment completion status

    • next_payment_atstring

      The next time this payment will be retried

    • detailsarray required

      Team payment details

      array<object>

      Team payment details

      items
      object
      • idinteger required

        Payment detail ID

      • user_idinteger required

        User ID

      • project_idinteger

        Project ID

      • task_idinteger

        Task ID

      • datestring required

        Date for the time worked

      • trackedinteger required

        Amount of time tracked in seconds, including overtime

      • overtime_trackedinteger

        Amount of overtime in seconds

      • pay_ratestring required

        The pay rate for this entry

      • overtime_pay_ratestring

        The calculated overtime pay rate for this entry (regular_pay_rate * overtime_multiplier). The overtime_multiplier is defined in the organization overtime policy

      • amountstring required

        The amount paid for this entry

      • currencystring required

        The currency for the pay rate and amount

      • payment_typestring required

        The type of payment detail entry

      • payment_completeboolean

        Is this detail paid

Example response
json
{
  "team_payments": [
    {
      "id": 0,
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T10:30:00Z",
      "organization_id": "string",
      "start_date": "2024-01-15",
      "stop_date": "2024-01-15",
      "blame_user_id": 0,
      "note": "string",
      "tracked": 0,
      "amount": "string",
      "currency": "string",
      "payment_source": "string",
      "paid_via_payroll": false,
      "unpaid_amount": "string",
      "payment_gateway": "string",
      "payment_complete": false,
      "next_payment_at": "2024-01-15T10:30:00Z",
      "details": [
        {
          "id": 0,
          "user_id": 0,
          "project_id": 0,
          "task_id": 0,
          "date": "2024-01-15",
          "tracked": 0,
          "overtime_tracked": 0,
          "pay_rate": "string",
          "overtime_pay_rate": "string",
          "amount": "string",
          "currency": "string",
          "payment_type": "string",
          "payment_complete": false
        }
      ]
    }
  ]
}
400Invalid parameters
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
401Unauthorized
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
403API access is only for organizations on an active plan
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
404Could not find record
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
429Rate limit exceeded
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}

Get team payment

GET/v2/team_payments/{team_payment_id}

Returns the team payment with the given ID.

Parameters

NameInTypeDescription
team_payment_idrequired
pathinteger (int32)
Team payment ID

Responses

200A team payment
object
  • team_paymentobject
    object

    TeamPayment model

    • idinteger required

      Payment ID

    • created_atstring required

      When the record was created

    • updated_atstring required

      When the record was last updated

    • organization_idstring required

      Organization ID

    • start_datestring required

      Start date period for team payment

    • stop_datestring required

      End date period for team payment

    • blame_user_idinteger

      User ID who made the payment

    • notestring

      A note for this team payment

    • trackedinteger required

      Total time worked in seconds

    • amountstring required

      Payment amount

    • currencystring required

      Payment currency

    • payment_sourcestring required

      Payment source type

    • paid_via_payrollboolean required

      Paid via the payroll gateway

    • unpaid_amountstring

      The amount left to be paid

    • payment_gatewaystring

      The payroll gateway used to pay

    • payment_completeboolean

      Payment completion status

    • next_payment_atstring

      The next time this payment will be retried

    • detailsarray required

      Team payment details

      array<object>

      Team payment details

      items
      object
      • idinteger required

        Payment detail ID

      • user_idinteger required

        User ID

      • project_idinteger

        Project ID

      • task_idinteger

        Task ID

      • datestring required

        Date for the time worked

      • trackedinteger required

        Amount of time tracked in seconds, including overtime

      • overtime_trackedinteger

        Amount of overtime in seconds

      • pay_ratestring required

        The pay rate for this entry

      • overtime_pay_ratestring

        The calculated overtime pay rate for this entry (regular_pay_rate * overtime_multiplier). The overtime_multiplier is defined in the organization overtime policy

      • amountstring required

        The amount paid for this entry

      • currencystring required

        The currency for the pay rate and amount

      • payment_typestring required

        The type of payment detail entry

      • payment_completeboolean

        Is this detail paid

Example response
json
{
  "team_payment": {
    "id": 0,
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-01-15T10:30:00Z",
    "organization_id": "string",
    "start_date": "2024-01-15",
    "stop_date": "2024-01-15",
    "blame_user_id": 0,
    "note": "string",
    "tracked": 0,
    "amount": "string",
    "currency": "string",
    "payment_source": "string",
    "paid_via_payroll": false,
    "unpaid_amount": "string",
    "payment_gateway": "string",
    "payment_complete": false,
    "next_payment_at": "2024-01-15T10:30:00Z",
    "details": [
      {
        "id": 0,
        "user_id": 0,
        "project_id": 0,
        "task_id": 0,
        "date": "2024-01-15",
        "tracked": 0,
        "overtime_tracked": 0,
        "pay_rate": "string",
        "overtime_pay_rate": "string",
        "amount": "string",
        "currency": "string",
        "payment_type": "string",
        "payment_complete": false
      }
    ]
  }
}
400Invalid parameters
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
401Unauthorized
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
403API access is only for organizations on an active plan
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
404Could not find record
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}
429Rate limit exceeded
object

Hubstaff_Public_V2_Entities_Error model

  • codestring required

    Legacy string error code for backward compatibility

  • error_codeinteger

    Numeric error code for i18n/programmatic handling. Ranges: 10000-10999 (Auth), 11000-11999 (Validation), 12000-12999 (Resource), 13000-13999 (Rate Limit), 14000-14999 (Time Entry/Activity), 15000-15999 (System). See GET /v2/error_codes for full reference.

  • errorstring required

    Human-readable error message

  • detailsarray

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    array<string>

    Per-attribute validation errors: [{attribute, error}]. Present on validation failures.

    items
    string
Example response
json
{
  "code": "string",
  "error_code": 0,
  "error": "string",
  "details": [
    "string"
  ]
}